<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/clk.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">clk.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/da0/clk_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">   30</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">/* Disable CKO clock source */</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;APBCLK &amp;= (~CLK_APBCLK_FDIV_EN_Msk);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>}</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">   53</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a>(uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>{</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">/* CKO = clock source / 2^(u32ClkDiv + 1) */</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;FRQDIV = <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#gab99e2f540bef89e8814dbb29e4d4fedf">CLK_FRQDIV_DIVIDER_EN_Msk</a> | u32ClkDiv | u32ClkDivBy1En&lt;&lt;<a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga67d852cb04324baf383d1889a023a0d1">CLK_FRQDIV_DIVIDER1_Pos</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">/* Enable CKO clock source */</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;APBCLK |= <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#gab24fbe0de32ba93f3f9672f052f2bccc">CLK_APBCLK_FDIV_EN_Msk</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">/* Select CKO clock source */</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL2 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL2 &amp; (~CLK_CLKSEL2_FRQDIV_S_Msk)) | u32ClkSrc;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>}</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">   69</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>{</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    SCB-&gt;SCR = SCB_SCR_SLEEPDEEP_Msk;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON |= (<a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga8954ca35dd4980a90c68a7f19e4c6239">CLK_PWRCON_PWR_DOWN_EN_Msk</a> | <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga0703bec9ec1c956d8c5e3f0202c04adb">CLK_PWRCON_PD_WU_STS_Msk</a>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    __WFI();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>}</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">   80</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>{</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON &amp;= ~(<a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga8954ca35dd4980a90c68a7f19e4c6239">CLK_PWRCON_PWR_DOWN_EN_Msk</a>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    __WFI();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>}</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">   90</a></span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="keywordflow">if</span>(<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON &amp; <a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac19eda48ead87f582993e738c45dc67a">CLK_PWRCON_XTL12M</a> )</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a94f5c03e3c2c2a616ed82de82e9bb130">__XTAL12M</a>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>}</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">  102</a></span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>{</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    <span class="keywordflow">if</span>(<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON &amp; <a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad60f063f0c649623710f618821a38821">CLK_PWRCON_LXT</a> )</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a4b216961fc7c604a794d52bdc02f22be">__XTAL32K</a>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>}</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">  114</a></span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>{</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <a class="code hl_function" href="../../dd/d6a/system___mini51_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a>();</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>}</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">  125</a></span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>{</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <a class="code hl_function" href="../../dd/d6a/system___mini51_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a>();</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>}</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">  141</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a>(uint32_t u32ClkSrc, uint32_t u32ClkDiv)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>{</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 &amp; ~CLK_CLKSEL0_HCLK_S_Msk) | u32ClkSrc;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV &amp; ~CLK_CLKDIV_HCLK_N_Msk) | u32ClkDiv;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>}</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">  185</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a>(uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>{</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    uint32_t u32tmp=0,u32sel=0,u32div=0;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    <span class="keywordflow">if</span>(<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2dc9f42c7ab6aeb4ba024b8fdb16f930">MODULE_CLKSEL_Msk</a>(u32ModuleIdx)!=<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ba0e54c58638770ff47160b4092ab7d">MODULE_NoMsk</a>)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        u32sel = (uint32_t)&amp;<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0+((<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbcd006f65cef4b22d0d1bca3b1afef3">MODULE_CLKSEL</a>(u32ModuleIdx))*4);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        u32tmp = *(<span class="keyword">volatile</span> uint32_t *)(u32sel);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        u32tmp = ( u32tmp &amp; ~(<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2dc9f42c7ab6aeb4ba024b8fdb16f930">MODULE_CLKSEL_Msk</a>(u32ModuleIdx)&lt;&lt;<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b25b61e468527aaaa7f38f09e48121e">MODULE_CLKSEL_Pos</a>(u32ModuleIdx)) ) | u32ClkSrc;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        *(<span class="keyword">volatile</span> uint32_t *)(u32sel) = u32tmp;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    <span class="keywordflow">if</span>(<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd85866b3fa7a302a80aa94c2b394bb0">MODULE_CLKDIV_Msk</a>(u32ModuleIdx)!=<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ba0e54c58638770ff47160b4092ab7d">MODULE_NoMsk</a>)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        u32div =(uint32_t)&amp;<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV+((<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeaea38131f5a6d44c686cc6d5e634493">MODULE_CLKDIV</a>(u32ModuleIdx))*4);</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        u32tmp = *(<span class="keyword">volatile</span> uint32_t *)(u32div);</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        u32tmp = ( u32tmp &amp; ~(<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd85866b3fa7a302a80aa94c2b394bb0">MODULE_CLKDIV_Msk</a>(u32ModuleIdx)&lt;&lt;<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab72016bfc37d178f20aeb164b213eaf5">MODULE_CLKDIV_Pos</a>(u32ModuleIdx)) ) | u32ClkDiv;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        *(<span class="keyword">volatile</span> uint32_t *)(u32div) = u32tmp;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>}</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">  215</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">CLK_SetSysTickClockSrc</a>(uint32_t u32ClkSrc)</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>{</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 &amp; ~CLK_CLKSEL0_STCLK_S_Msk) | u32ClkSrc;</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>}</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">  233</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a>(uint32_t u32ClkSrc, uint32_t u32Count)</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>{</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    SysTick-&gt;CTRL=0;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    <span class="keywordflow">if</span>( u32ClkSrc== <a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4b7adc9f1b60aebd6f7d084b70f99556">CLK_CLKSEL0_STCLK_S_HCLK</a> )    <span class="comment">/* Set System Tick clock source */</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        SysTick-&gt;CTRL |= SysTick_CTRL_CLKSOURCE_Msk;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        SysTick-&gt;CTRL &amp;= ~SysTick_CTRL_CLKSOURCE_Msk;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 &amp; ~CLK_CLKSEL0_STCLK_S_Msk) | u32ClkSrc;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    }</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    SysTick-&gt;LOAD  = u32Count;                <span class="comment">/* Set System Tick reload value */</span></div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    SysTick-&gt;VAL = 0;                         <span class="comment">/* Clear System Tick current value and counter flag  */</span></div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    SysTick-&gt;CTRL |= SysTick_CTRL_ENABLE_Msk; <span class="comment">/* Set System Tick counter enabled */</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>}</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">  253</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>{</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    SysTick-&gt;CTRL = 0;    <span class="comment">/* Set System Tick counter disabled */</span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>}</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">  266</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a>(uint32_t u32ClkMask)</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>{</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON |=u32ClkMask;</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>}</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">  279</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a>(uint32_t u32ClkMask)</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>{</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON &amp;=~u32ClkMask;</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>}</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span> </div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">  301</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a>(uint32_t u32ModuleIdx)</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>{</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>    *(<span class="keyword">volatile</span> uint32_t *)((uint32_t)&amp;<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;APBCLK+(<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaece48376de6a6e9090b8c394344e8636">MODULE_APBCLK</a>(u32ModuleIdx)*4))  |= 1&lt;&lt;<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd693274238f70a5351e2f9e9af43caf">MODULE_IP_EN_Pos</a>(u32ModuleIdx);</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>}</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> </div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">  323</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a>(uint32_t u32ModuleIdx)</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>{</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>    *(<span class="keyword">volatile</span> uint32_t *)((uint32_t)&amp;<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;APBCLK+(<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaece48376de6a6e9090b8c394344e8636">MODULE_APBCLK</a>(u32ModuleIdx)*4))  &amp;= ~(1&lt;&lt;<a class="code hl_define" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd693274238f70a5351e2f9e9af43caf">MODULE_IP_EN_Pos</a>(u32ModuleIdx));</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>}</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span> </div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">  336</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a>(uint32_t us)</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>{</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>    SysTick-&gt;LOAD = us * <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>;</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>    SysTick-&gt;VAL  =  (0x00);</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>    SysTick-&gt;CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span> </div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>    <span class="comment">/* Waiting for down-count to zero */</span></div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>    <span class="keywordflow">while</span>((SysTick-&gt;CTRL &amp; SysTick_CTRL_COUNTFLAG_Msk) == 0);</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>    SysTick-&gt;CTRL = 0;</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>}</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span> </div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">  360</a></span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a>(uint32_t u32ClkMask)</div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span>{</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>    int32_t i32TimeOutCnt;</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span> </div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>    i32TimeOutCnt = <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a> / 200; <span class="comment">/* About 5ms */</span></div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span> </div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>    <span class="keywordflow">while</span>((<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSTATUS &amp; u32ClkMask) != u32ClkMask)</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span>    {</div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span>        <span class="keywordflow">if</span>(i32TimeOutCnt-- &lt;= 0)</div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span>    }</div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>    <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span>}</div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span> </div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span> <span class="comment">/* end of group MINI51_CLK_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span> <span class="comment">/* end of group MINI51_CLK_Driver */</span></div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span><span class="comment">/*** (C) COPYRIGHT 2013~2015 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga2ba0e54c58638770ff47160b4092ab7d"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ba0e54c58638770ff47160b4092ab7d">MODULE_NoMsk</a></div><div class="ttdeci">#define MODULE_NoMsk</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00121">clk.h:121</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga2dc9f42c7ab6aeb4ba024b8fdb16f930"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2dc9f42c7ab6aeb4ba024b8fdb16f930">MODULE_CLKSEL_Msk</a></div><div class="ttdeci">#define MODULE_CLKSEL_Msk(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00115">clk.h:115</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga4b7adc9f1b60aebd6f7d084b70f99556"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4b7adc9f1b60aebd6f7d084b70f99556">CLK_CLKSEL0_STCLK_S_HCLK</a></div><div class="ttdeci">#define CLK_CLKSEL0_STCLK_S_HCLK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00056">clk.h:56</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga9b25b61e468527aaaa7f38f09e48121e"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b25b61e468527aaaa7f38f09e48121e">MODULE_CLKSEL_Pos</a></div><div class="ttdeci">#define MODULE_CLKSEL_Pos(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00116">clk.h:116</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab72016bfc37d178f20aeb164b213eaf5"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab72016bfc37d178f20aeb164b213eaf5">MODULE_CLKDIV_Pos</a></div><div class="ttdeci">#define MODULE_CLKDIV_Pos(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00119">clk.h:119</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gabd693274238f70a5351e2f9e9af43caf"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd693274238f70a5351e2f9e9af43caf">MODULE_IP_EN_Pos</a></div><div class="ttdeci">#define MODULE_IP_EN_Pos(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00120">clk.h:120</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gabd85866b3fa7a302a80aa94c2b394bb0"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd85866b3fa7a302a80aa94c2b394bb0">MODULE_CLKDIV_Msk</a></div><div class="ttdeci">#define MODULE_CLKDIV_Msk(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00118">clk.h:118</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gac19eda48ead87f582993e738c45dc67a"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac19eda48ead87f582993e738c45dc67a">CLK_PWRCON_XTL12M</a></div><div class="ttdeci">#define CLK_PWRCON_XTL12M</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00038">clk.h:38</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gad60f063f0c649623710f618821a38821"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad60f063f0c649623710f618821a38821">CLK_PWRCON_LXT</a></div><div class="ttdeci">#define CLK_PWRCON_LXT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00041">clk.h:41</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaeaea38131f5a6d44c686cc6d5e634493"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeaea38131f5a6d44c686cc6d5e634493">MODULE_CLKDIV</a></div><div class="ttdeci">#define MODULE_CLKDIV(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00117">clk.h:117</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaece48376de6a6e9090b8c394344e8636"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaece48376de6a6e9090b8c394344e8636">MODULE_APBCLK</a></div><div class="ttdeci">#define MODULE_APBCLK(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00113">clk.h:113</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafbcd006f65cef4b22d0d1bca3b1afef3"><div class="ttname"><a href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbcd006f65cef4b22d0d1bca3b1afef3">MODULE_CLKSEL</a></div><div class="ttdeci">#define MODULE_CLKSEL(x)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00114">clk.h:114</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0920dc6df8ce954838d45072f075b347"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a></div><div class="ttdeci">void CLK_Idle(void)</div><div class="ttdoc">This function let system enter to Idle mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00080">clk.c:80</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1ce2943c698a17c51766cf77e1353bf8"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">CLK_SetSysTickClockSrc</a></div><div class="ttdeci">void CLK_SetSysTickClockSrc(uint32_t u32ClkSrc)</div><div class="ttdoc">This function set SysTick clock source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00215">clk.c:215</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27ded0f4435751be979927718884488f"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a></div><div class="ttdeci">uint32_t CLK_GetHCLKFreq(void)</div><div class="ttdoc">This function get HCLK frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00114">clk.c:114</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31f678693e1aadf43a190c1e40f3cbc9"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a></div><div class="ttdeci">void CLK_DisableCKO(void)</div><div class="ttdoc">This function disable frequency output function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00030">clk.c:30</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga517b9f3157919153e56c85ffb9ccd0ab"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a></div><div class="ttdeci">void CLK_EnableModuleClock(uint32_t u32ModuleIdx)</div><div class="ttdoc">This function enable module clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00301">clk.c:301</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5241b9593cac6dd5412d350c0e571e51"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a></div><div class="ttdeci">void CLK_EnableCKO(uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</div><div class="ttdoc">This function enable frequency divider module clock, enable frequency divider clock function and conf...</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00053">clk.c:53</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58ebca80b6dad0a35cbabc28cf910506"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a></div><div class="ttdeci">void CLK_DisableModuleClock(uint32_t u32ModuleIdx)</div><div class="ttdoc">This function disable module clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00323">clk.c:323</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5ab15677ea51c3099b27f42dc4b6fcb2"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a></div><div class="ttdeci">void CLK_SysTickDelay(uint32_t us)</div><div class="ttdoc">This function execute delay function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00336">clk.c:336</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga620c121e9147b128081654d9552efe15"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a></div><div class="ttdeci">uint32_t CLK_WaitClockReady(uint32_t u32ClkMask)</div><div class="ttdoc">This function check selected clock source status.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00360">clk.c:360</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga70068a9cb9cc8099f56423a99a0dafcc"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a></div><div class="ttdeci">uint32_t CLK_GetLXTFreq(void)</div><div class="ttdoc">This function get external low frequency crystal frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00102">clk.c:102</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8a4f26f4731fdca63af252773ee72088"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a></div><div class="ttdeci">void CLK_PowerDown(void)</div><div class="ttdoc">This function let system enter to Power-down mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00069">clk.c:69</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa95d8368f13a4b774dffbf895c750e64"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a></div><div class="ttdeci">uint32_t CLK_GetCPUFreq(void)</div><div class="ttdoc">This function get CPU frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00125">clk.c:125</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab1a48f2301aa652d88d9235674183a24"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a></div><div class="ttdeci">void CLK_SetHCLK(uint32_t u32ClkSrc, uint32_t u32ClkDiv)</div><div class="ttdoc">This function set HCLK clock source and HCLK clock divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00141">clk.c:141</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad7fcb315221079b3c5ebf800253ffee8"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a></div><div class="ttdeci">void CLK_DisableXtalRC(uint32_t u32ClkMask)</div><div class="ttdoc">This function disable clock source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00279">clk.c:279</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad9d846aeb8260e9b9ea4063647244252"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a></div><div class="ttdeci">void CLK_DisableSysTick(void)</div><div class="ttdoc">Disable System Tick counter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00253">clk.c:253</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gada76aad06147856dad5f349704112611"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a></div><div class="ttdeci">void CLK_SetModuleClock(uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv)</div><div class="ttdoc">This function set selected module clock source and module clock divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00185">clk.c:185</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadfcb464858fe9270881d9edf102b9ed1"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a></div><div class="ttdeci">void CLK_EnableXtalRC(uint32_t u32ClkMask)</div><div class="ttdoc">This function enable clock source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00266">clk.c:266</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae4dc253bdbb63c0044d71cb37256cf3d"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a></div><div class="ttdeci">void CLK_EnableSysTick(uint32_t u32ClkSrc, uint32_t u32Count)</div><div class="ttdoc">Enable System Tick counter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00233">clk.c:233</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafa5076ef7010baaa621da89225c14e57"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a></div><div class="ttdeci">uint32_t CLK_GetHXTFreq(void)</div><div class="ttdoc">This function get external high frequency crystal frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00090">clk.c:90</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga0703bec9ec1c956d8c5e3f0202c04adb"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga0703bec9ec1c956d8c5e3f0202c04adb">CLK_PWRCON_PD_WU_STS_Msk</a></div><div class="ttdeci">#define CLK_PWRCON_PD_WU_STS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00890">Mini51Series.h:890</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga67d852cb04324baf383d1889a023a0d1"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga67d852cb04324baf383d1889a023a0d1">CLK_FRQDIV_DIVIDER1_Pos</a></div><div class="ttdeci">#define CLK_FRQDIV_DIVIDER1_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l01003">Mini51Series.h:1003</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga8954ca35dd4980a90c68a7f19e4c6239"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga8954ca35dd4980a90c68a7f19e4c6239">CLK_PWRCON_PWR_DOWN_EN_Msk</a></div><div class="ttdeci">#define CLK_PWRCON_PWR_DOWN_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00893">Mini51Series.h:893</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_gab24fbe0de32ba93f3f9672f052f2bccc"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#gab24fbe0de32ba93f3f9672f052f2bccc">CLK_APBCLK_FDIV_EN_Msk</a></div><div class="ttdeci">#define CLK_APBCLK_FDIV_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00911">Mini51Series.h:911</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_gab99e2f540bef89e8814dbb29e4d4fedf"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#gab99e2f540bef89e8814dbb29e4d4fedf">CLK_FRQDIV_DIVIDER_EN_Msk</a></div><div class="ttdeci">#define CLK_FRQDIV_DIVIDER_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l01001">Mini51Series.h:1001</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05736">Mini51Series.h:5736</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a4b216961fc7c604a794d52bdc02f22be"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a4b216961fc7c604a794d52bdc02f22be">__XTAL32K</a></div><div class="ttdeci">#define __XTAL32K</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00030">system_Mini51Series.h:30</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a63bedf89ae7fbb102b8653aca20d3a14"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a></div><div class="ttdeci">uint32_t CyclesPerUs</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00021">system_Mini51Series.c:21</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a94f5c03e3c2c2a616ed82de82e9bb130"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a94f5c03e3c2c2a616ed82de82e9bb130">__XTAL12M</a></div><div class="ttdeci">#define __XTAL12M</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00029">system_Mini51Series.h:29</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_aa3cd3e43291e81e795d642b79b6088e6"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></div><div class="ttdeci">uint32_t SystemCoreClock</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00020">system_Mini51Series.c:20</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_abbd628d8a30e6695b3715ae72a693e56"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a></div><div class="ttdeci">#define __HSI</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00034">system_Mini51Series.h:34</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_ae0c36a9591fe6e9c45ecb21a794f0f0f"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a></div><div class="ttdeci">void SystemCoreClockUpdate(void)</div><div class="ttdoc">Updates the SystemCoreClock with current core Clock retrieved from CPU registers.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00031">system_Mini51Series.c:31</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
